import { CdkStepper, CdkStepperModule } from '@angular/cdk/stepper';
import { NgTemplateOutlet } from '@angular/common';
import { Component } from '@angular/core';
import { TestbtnComponent } from '@ods/system';

@Component({
  standalone: true,
  selector: 'app-custom-stepper',
  templateUrl: './custom-stepper.component.html',
  providers: [{ provide: CdkStepper, useExisting: CustomStepperComponent }],
  imports: [NgTemplateOutlet, CdkStepperModule, TestbtnComponent],
})
export class CustomStepperComponent extends CdkStepper {
  selectStepByIndex(index: number): void {
    this.selectedIndex = index;
  }
}
