import { StateResource } from '@alfa-client/tech-shared';
import { Component } from '@angular/core';
import { Observable } from 'rxjs';
import { User } from '../user/user.model';
import { UserService } from './user.service';

@Component({
  selector: 'admin-users-roles',
  templateUrl: './users-roles.component.html',
})
export class UsersRolesComponent {
  public users$: Observable<StateResource<User[]>>;
  public readonly GROUPS_TO_DISPLAY = 3;

  constructor(private userService: UserService) {
    this.users$ = this.userService.get();
  }
}
