package de.ozgcloud.alfa.collaboration;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class FachstelleMapperTest {

	private final FachstelleMapper mapper = Mappers.getMapper(FachstelleMapper.class);

	@Nested
	class TestFromGrpc {

		@Test
		void shouldMap() {
			var fachstelle = mapper.fromGrpc(GrpcFachstelleTestFactory.create());

			assertThat(fachstelle).usingRecursiveComparison().isEqualTo(FachstelleTestFactory.create());
		}
	}
}
