package de.ozgcloud.alfa.export;

import de.ozgcloud.archive.grpc.export.GrpcExportVorgangResponse;
import de.ozgcloud.archive.grpc.export.GrpcFile;

class GrpcExportVorgangResponseTestFactory {

	public static final GrpcFile VORGANG_FILE_WITH_NAME = GrpcFileTestFactory.createWithName();
	public static final GrpcFile VORGANG_FILE_WITH_CONTENT = GrpcFileTestFactory.createWithContent();

	public static GrpcExportVorgangResponse createWithName() {
		return createBuilder().setVorgangFile(VORGANG_FILE_WITH_NAME).build();
	}

	public static GrpcExportVorgangResponse createWithContent() {
		return createBuilder().setVorgangFile(VORGANG_FILE_WITH_CONTENT).build();
	}

	public static GrpcExportVorgangResponse.Builder createBuilder() {
		return GrpcExportVorgangResponse.newBuilder();
	}
}
