import { type Meta, type StoryObj } from '@storybook/angular';

const meta: Meta = {
  title: 'Typography/Heading',
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
  parameters: {
    docs: {
      description: {
        component:
          'The headings are native HTML h-elements, styled with additional classes (see code)',
      },
    },
  },
};

export default meta;
type Story = StoryObj;

export const Default: Story = {
  render: () => ({
    template: '<h1 class="heading-1">Heading 1</h1><h2 class="heading-2">Heading 2</h2>',
  }),
};
