import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ApiRootModule } from '@alfa-client/api-root-shared';
import { HintSharedModule } from '@alfa-client/hint-shared';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { HintContainerComponent } from './hint-container/hint-container.component';
import { UserNoOrganisationsEinheitIdHintComponent } from './hint-container/user-no-organisations-einheit-id-hint/user-no-organisations-einheit-id-hint.component';

@NgModule({
  imports: [CommonModule, TechSharedModule, ApiRootModule, HintSharedModule],
  declarations: [UserNoOrganisationsEinheitIdHintComponent, HintContainerComponent],
  exports: [HintContainerComponent],
})
export class HintModule {}
