import { Injectable } from '@angular/core';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { ResourceFactory } from '@ngxp/rest';
import { Observable } from 'rxjs';
import { LoeschAnforderungResource } from '../loesch-anforderung.model';

@Injectable()
export class LoeschAnforderungRepository {
  constructor(private resourceFactory: ResourceFactory) {}

  public getLoeschAnforderung(
    vorgang: VorgangWithEingangResource,
  ): Observable<LoeschAnforderungResource> {
    return this.resourceFactory.from(vorgang).get(VorgangWithEingangLinkRel.LOESCH_ANFORDERUNG);
  }
}
