import { Resource } from '@ngxp/rest';
import { InstantSearchResult } from '@ods/system';
import { Observable } from 'rxjs';

export interface ZustaendigeStelleService<T extends Resource> {
  getSearchResultList(): Observable<InstantSearchResult<T>[]>;
  search(searchBy: string): void;
  clearSearchResult(): void;
  getSelectedResult(): Observable<T>;
  selectSearchResult(zustaendigeStelleResource: T): void;
  clearSelectedResult(): void;
}
