package de.ozgcloud.alfa.bescheid;

import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.alfa.common.binaryfile.FileIdMapper;
import de.ozgcloud.document.GrpcDocument;

@Mapper(unmappedTargetPolicy = ReportingPolicy.ERROR, nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS, uses = FileIdMapper.class)
interface DocumentMapper {

	Document fromGrpc(GrpcDocument grpcDocument);
}
