package de.ozgcloud.alfa.historie;

import java.time.ZonedDateTime;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder(toBuilder = true)
@Getter
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class VorgangChange {

	private String valueBeforeChange;
	private String valueAfterChange;
	private String authorFullName;
	private ZonedDateTime finishedAt;
	private String order;
	private String organisationseinheitenID;
}
