package de.ozgcloud.alfa.resource;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelProcessor;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.Root;

@Component
class OzgcloudResourceRootProcessor implements RepresentationModelProcessor<EntityModel<Root>> {

	static final String REL_RESOURCE = "resource";

	@Override
	public EntityModel<Root> process(EntityModel<Root> model) {
		return model.add(linkTo(methodOn(OzgcloudResourceController.class).getOzgcloudResource(null)).withRel(REL_RESOURCE));
	}
}
