package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcAnschrift;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcAnschrift.Builder;

public class GrpcAnschriftTestFactory {
	public static final String STRASSE = AnschriftTestFactory.STRASSE;
	public static final String HAUSNUMMER = AnschriftTestFactory.HAUSNUMMER;
	public static final String PLZ = AnschriftTestFactory.PLZ;
	public static final String ORT = AnschriftTestFactory.ORT;

	public static GrpcAnschrift create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcAnschrift.newBuilder()
				.setStrasse(STRASSE)
				.setHausnummer(HAUSNUMMER)
				.setPlz(PLZ)
				.setOrt(ORT);
	}

}
