package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelle;
import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelleGetResponse;

class GrpcFachstelleGetResponseTestFactory {

	public static final GrpcFachstelle GRPC_FACHSTELLE = GrpcFachstelleTestFactory.create();

	public static GrpcFachstelleGetResponse create() {
		return createBuilder().build();
	}

	public static GrpcFachstelleGetResponse.Builder createBuilder() {
		return GrpcFachstelleGetResponse.newBuilder().setFachstelle(GRPC_FACHSTELLE);
	}

}
